# Generated from sensu-plugins-aws-boutetnico-1.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sensu-plugins-aws-boutetnico

Name: rubygem-%{gem_name}
Version: 1.4.0
Release: 1%{?dist}
Summary: Sensu plugins for working with an AWS environment
License: MIT
URL: https://github.com/boutetnico/sensu-plugins-aws
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(github-markup) >= 3.0
# BuildRequires: rubygem(github-markup) < 4
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(redcarpet) >= 3.2
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.51.0
# BuildRequires: rubygem(rubocop) < 0.52
# BuildRequires: rubygem(yard) >= 0.9.11
# BuildRequires: rubygem(yard) < 0.10
BuildArch: noarch

%description
This plugin provides native AWS instrumentation
for monitoring and metrics collection, including:
health and metrics for various AWS services, such
as EC2, RDS, ELB, and more, as well as handlers
for EC2, SES, and SNS.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/check-elb-health-fog.rb
%{_bindir}/metrics-cloudwatch-ses.rb
%{_bindir}/metrics-rds.rb
%{_bindir}/check-reserved-instances.rb
%{_bindir}/metrics-elasticache.rb
%{_bindir}/check-elb-certs.rb
%{_bindir}/check-kms-key.rb
%{_bindir}/check-redshift-events.rb
%{_bindir}/metrics-waf.rb
%{_bindir}/check-dynamodb-throttle.rb
%{_bindir}/check-trustedadvisor-service-limits.rb
%{_bindir}/check-ec2-network.rb
%{_bindir}/check-beanstalk-health.rb
%{_bindir}/check-ec2-cpu_balance.rb
%{_bindir}/handler-sns.rb
%{_bindir}/metrics-autoscaling-instance-count.rb
%{_bindir}/check-instance-events.rb
%{_bindir}/check-rds-pending.rb
%{_bindir}/check-route.rb
%{_bindir}/check-instance-reachability.rb
%{_bindir}/check-route53-domain-expiration.rb
%{_bindir}/check-s3-tag.rb
%{_bindir}/check-eip-allocation.rb
%{_bindir}/check-asg-instances-created.rb
%{_bindir}/check-elasticache-failover.rb
%{_bindir}/metrics-elb.rb
%{_bindir}/check-certificate-expiry.rb
%{_bindir}/check-configservice-rules.rb
%{_bindir}/check-elb-instances-inservice.rb
%{_bindir}/metrics-emr-steps.rb
%{_bindir}/check-alb-target-group-health.rb
%{_bindir}/check-elb-sum-requests.rb
%{_bindir}/check-subnet-ip-consumption.rb
%{_bindir}/check-elb-health.rb
%{_bindir}/handler-scale-asg-up.rb
%{_bindir}/check-emr-cluster.rb
%{_bindir}/check-asg-instances-inservice.rb
%{_bindir}/handler-scale-asg-down.rb
%{_bindir}/check-eni-status.rb
%{_bindir}/metrics-ec2-count.rb
%{_bindir}/check-cloudfront-tag.rb
%{_bindir}/check-ses-statistics.rb
%{_bindir}/check-ec2-filter.rb
%{_bindir}/check-cloudwatch-composite-metric.rb
%{_bindir}/metrics-ses-usage.rb
%{_bindir}/metrics-cloudwatch-ebs.rb
%{_bindir}/check-vpc-nameservers.rb
%{_bindir}/handler-ec2_node.rb
%{_bindir}/check-ses-limit.rb
%{_bindir}/metrics-cloudfront.rb
%{_bindir}/metrics-cloudwatch-ec2.rb
%{_bindir}/check-cloudwatch-alarms.rb
%{_bindir}/check-instances-count.rb
%{_bindir}/check-elb-nodes.rb
%{_bindir}/metrics-savings-plans-utilization.rb
%{_bindir}/check-rds.rb
%{_bindir}/check-sqs-messages.rb
%{_bindir}/check-sensu-client.rb
%{_bindir}/check-dynamodb-capacity.rb
%{_bindir}/check-expiring-reservations.rb
%{_bindir}/check-s3-bucket.rb
%{_bindir}/metrics-reservation-utilization.rb
%{_bindir}/check-s3-object.rb
%{_bindir}/metrics-sqs.rb
%{_bindir}/check-instance-health.rb
%{_bindir}/check-elb-latency.rb
%{_bindir}/metrics-ec2-filter.rb
%{_bindir}/metrics-asg.rb
%{_bindir}/check-direct-connect-virtual-interfaces.rb
%{_bindir}/check-sns-subscriptions.rb
%{_bindir}/metrics-savings-plans-coverage.rb
%{_bindir}/check-vpc-vpn.rb
%{_bindir}/check-emr-steps.rb
%{_bindir}/check-autoscaling-cpucredits.rb
%{_bindir}/check-ecs-service-health.rb
%{_bindir}/check-rds-events.rb
%{_bindir}/handler-ses.rb
%{_bindir}/metrics-s3.rb
%{_bindir}/check-elb-health-sdk.rb
%{_bindir}/check-beanstalk-elb-metric.rb
%{_bindir}/check-cloudwatch-metric.rb
%{_bindir}/check-ebs-snapshots.rb
%{_bindir}/check-cloudwatch-alarm.rb
%{_bindir}/check-efs-metric.rb
%{_bindir}/metrics-billing.rb
%{_bindir}/metrics-ses.rb
%{_bindir}/check-s3-bucket-visibility.rb
%{_bindir}/check-ebs-burst-limit.rb
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 1.4.0-1
- Initial package
